Subject: Re: [MMUSIC] Do we need to update in time 4566bis?

From: Andrew Allen <[email-masked]>
Date: Mon, 13 Feb 2012 22:15:52 +0000

What about considering a hitchhikers guide to SDP similar to what was done for SIP?

One umbrella document that points the reader to all the SDP capabilities available that they might want to take advantage of.

Just a suggestion.

Andrew

----- Original Message -----
From: Miguel A. Garcia [mailto:[email-masked]]
Sent: Saturday, January 28, 2012 06:23 AM
To: mmusic <[email-masked]>
Subject: [MMUSIC] Do we need to update in time 4566bis?

<as an individual>

Hi all,

You know we are revising RFC 4566. So far, the effort has been in bug fixing.

The first SDP version was published as RFC 2327 in 1998 (i.e., 14 years 
ago), and was then revised as RFC 4566 in 2006.

Lots of things have happened since then. We have SDP offer answer, 
Grouping, QoS, ATM, Bandwidth modifiers, TCP media, SDES, comeida, 
labels, BFCP, FEC, ICE, CapNeg, and many other that are in the pipe.

 From the point of view of a reader who takes 4566 (or its current 
4566bis incarnation), I think it will be difficult for her or him to 
understand a protocol that ignores those other extensions. For example, I 
recently post another e-mail where there is an apparent contradiction 
between 4566 and ICE (see 
http://www.ietf.org/mail-archive/web/mmusic/current/msg09089.html ).

So, I was wondering if time has come to make not a bug correction in 
4566bis, but also put that RFC in context with the other extensions that 
exist. This may include:

- Add minor extensions to the core document, similarly to what we did 
with IPv6 support (i.e., 4566 = 2327 + 3266). I don't know which of these 
extensions make sense to include, this would be an exercise to do, but 
let me give you one potential example: RFC 4574, the SDP "label" 
attribute is a 6 pages RFC.

- Adding references to extensions, when it makes sense. For example, ICE 
should be referred somewhere (see my previous post regarding the "o" 
line). I guess capneg could be also mentioned, perhaps others.

I know this is a bigger effort than anticipated, but the result could 
really help newcomers to this world.

Now, it is your turn to express your opinions. Please do it.

/Miguel
-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain
_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic

---------------------------------------------------------------------
This transmission (including any attachments) may contain confidential information, privileged material (including material protected by the solicitor-client or other applicable privileges), or constitute non-public information. Any use of this information by anyone other than the intended recipient is prohibited. If you have received this transmission in error, please immediately reply to the sender and delete this information from your system. Use, dissemination, distribution, or reproduction of this transmission by unintended recipients is not authorized and may be unlawful.

---

From: "Miguel A. Garcia" <[email-masked]>
Date: Tue, 14 Feb 2012 08:42:13 +0100

Sounds good to me too. If someone wants to start such draft...

/Miguel

On 13/02/2012 23:15, Andrew Allen wrote:
> To: mmusic<[email-masked]>

-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain

---

From: Bert Greevenbosch <[email-masked]>
Date: Wed, 15 Feb 2012 06:29:01 +0000

Hi Miguel, Andrew, all,

Sounds like a good idea. I would be happy to volunteer to play a central role in it (i.e. be the editor, create the initial draft, ...), but I would need support from other experts too.

As for practicalities, I see that the "Hitchhiker's Guide to SIP" has become an RFC (5411). That means that it has been frozen, and to add new info new individual or WG drafts are needed.

Would this be the same approach for SDP? Currently, there are already quite some new drafts that extend SDP. How will future extensions be handled? Maybe it would be good to make it a permanent WG draft, which is updated every now and then.

Best regards,
Bert

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Miguel A. Garcia
Sent: 14 February 2012 15:42
To: Andrew Allen
Cc: [email-masked]
Subject: Re: [MMUSIC] Do we need to update in time 4566bis?

/Miguel

---

From: Mary Barnes <[email-masked]>
Date: Wed, 15 Feb 2012 11:14:36 -0600

I think this is a good idea.  I would think the experts that can
contribute (and should review) can be found in the new SDP
directorate:
http://www.ietf.org/iesg/directorate/sdp.html
BTW, it would be nice to have a link to this page on the MMUSIC WG wiki:
http://trac.tools.ietf.org/wg/mmusic/trac/wiki

As far as whether to publish, I think it would be a good idea to
complete publication as IMHO that improves the integrity of the
information - i.e., more eyes review a published RFC than a draft.
It could later be updated to reflect more recent RFCs OR a "More of
Hitchhikers Guide" could be published.

Thanks,
Mary.

---

From: Gonzalo Camarillo <[email-masked]>
Date: Thu, 23 Feb 2012 14:30:17 +0200

Hi Mary,

yes, the members of the SDP directorate would need to review such a
guide. However, the fact that they agreed to be members of the
directorate does not mean they will necessarily have cycles to
significantly contribute to the creation of the guide. We need to make
sure we have enough energy around this effort in order to start it.

Cheers,

Gonzalo

---

From: Mary Barnes <[email-masked]>
Date: Thu, 23 Feb 2012 11:06:58 -0600

I would think that in order for the document to have integrity that at
least one of the directorate members should at least be a co-author.
 Otherwise, I see a lot more stuff falling through the cracks and needing
to be resolved during WGLC and later, which usually isn't a good thing.
 The SIP Hitchhiker's guide provides a good example in that the author was
also a primary contributor to RFC3261, etc.

Mary.

On Thu, Feb 23, 2012 at 6:30 AM, Gonzalo Camarillo <
[email-masked]> wrote:

> >> Sounds like a good idea. I would be happy to volunteer to play a
> central role in it (i.e. be the editor, create the initial draft, ...), but
> I would need support from other experts too.
> >>
> >> As for practicalities, I see that the "Hitchhiker's Guide to SIP" has
> become an RFC (5411). That means that it has been frozen, and to add new
> info new individual or WG drafts are needed.
> >>
> >> Would this be the same approach for SDP? Currently, there are already
> quite some new drafts that extend SDP. How will future extensions be
> handled? Maybe it would be good to make it a permanent WG draft, which is
> updated every now and then.
> >>
> >> Best regards,
> >> Bert
> >>
> >>
> >>> One umbrella document that points the reader to all the SDP
> capabilities available that they might want to take advantage of.
> >>>
> >>> Just a suggestion.
> >>>
> >>> Andrew
> >>>

---

From: Gonzalo Camarillo <[email-masked]>
Date: Thu, 23 Feb 2012 19:30:59 +0200

I agree.

Gonzalo

On 23/02/2012 7:06 PM, Mary Barnes wrote:
>  Otherwise, I see a lot more stuff falling through the cracks and
> needing to be resolved during WGLC and later, which usually isn't a good
> thing.  The SIP Hitchhiker's guide provides a good example in that the
> author was also a primary contributor to RFC3261, etc.  
> 
> Mary. 
> 
> On Thu, Feb 23, 2012 at 6:30 AM, Gonzalo Camarillo
> <[email-masked] <mailto:[email-masked]>>
> wrote:
> 
>     Hi Mary,
> 
>     > <[email-masked]
>     <mailto:[email-masked]>> wrote:
>     >> Hi Miguel, Andrew, all,
>     >>
>     central role in it (i.e. be the editor, create the initial draft,
>     ...), but I would need support from other experts too.
>     >>
>     >> As for practicalities, I see that the "Hitchhiker's Guide to SIP"
>     has become an RFC (5411). That means that it has been frozen, and to
>     add new info new individual or WG drafts are needed.
>     >>
>     >> Would this be the same approach for SDP? Currently, there are
>     already quite some new drafts that extend SDP. How will future
>     extensions be handled? Maybe it would be good to make it a permanent
>     WG draft, which is updated every now and then.
>     >>
>     >> Best regards,
>     >> Bert
>     >>
>     >>
>     >> From: [email-masked] <mailto:[email-masked]>
>     [mailto:[email-masked] <mailto:[email-masked]>] On
>     Behalf Of Miguel A. Garcia
>     >> Cc: [email-masked] <mailto:[email-masked]>
>     >>> From: Miguel A. Garcia [mailto:[email-masked]
>     <mailto:[email-masked]>]
>     >>> To: mmusic<[email-masked] <mailto:[email-masked]>>
>     >> +34-91-339-3608 <tel:%2B34-91-339-3608>
>     >> Ericsson Spain
>     >> [email-masked] <mailto:[email-masked]>
>     >> [email-masked] <mailto:[email-masked]>
>     > [email-masked] <mailto:[email-masked]>

---

From: Christer Holmberg <[email-masked]>
Date: Sun, 26 Feb 2012 21:52:49 +0100

Hi,

As a directorate member, I am willing to co-author such draft, should a decision to write one be taken.

Regards,

Christer 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Gonzalo Camarillo
Sent: 23. helmikuuta 2012 19:31
To: Mary Barnes
Cc: [email-masked]
Subject: Re: [MMUSIC] Hitchhiker's guide to SDP

I agree.

Gonzalo

On 23/02/2012 7:06 PM, Mary Barnes wrote:
> needing to be resolved during WGLC and later, which usually isn't a 
> good thing.  The SIP Hitchhiker's guide provides a good example in 
> that the author was also a primary contributor to RFC3261, etc.
> 
> Mary. 
>